import * as React from 'react'
import { Provider } from 'react-redux'
import { PersistGate } from 'redux-persist/integration/react'
import './App.css'
import { persistor, store } from './redux/store'
import AppContainer from './views/Appcontainer'

class App extends React.Component {
    public render(): JSX.Element {
        return (
            <div>
                <Provider store={store}>
                    <PersistGate loading='加载中...' persistor={persistor}>
                        <AppContainer/>
                    </PersistGate>
                </Provider>
            </div>
        )
    }
}

export default App
