import * as React from 'react'
import * as Loadable from 'react-loadable'

interface IRoute {
    component: any
    path: string
}

export const route:IRoute[] = [
    {
        component: loadable({ loader: () => import('../views/Support') }),
        path: '/support'
    },
    {
        component: loadable({ loader: () => import('../views/About') }),
        path: '/about'
    },
    {
        component: loadable({ loader: () => import('../views/Services') }),
        path: '/services'
    },
    {
        component: loadable({ loader: () => import('../views/ReduxTest') }),
        path: '/ReduxText'
    }
]

function Loading(props: any) {
    if (props.error) {
        return <div>Error!</div>
    } else if (props.timedOut) {
        return <div>Taking a long time...</div>
    } else if (props.pastDelay) {
        return <div>loading</div>
    } else {
        return <div>loading</div>
    }
}
 function loadable (opt: any) {
     return Loadable({
        delay: 300,
        // loader: () => import('../views/ReduxTest'),
        loading: Loading,
        ...opt
    })
}

